<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AreaDestination StructType
 * @subpackage Structs
 */
class AreaDestination extends Destination
{
    /**
     * The area
     * @var \StructType\Area
     */
    public $area;
    /**
     * The areaDestinationExtension
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ExtensionType
     */
    public $areaDestinationExtension;
    /**
     * Constructor method for AreaDestination
     * @uses AreaDestination::setArea()
     * @uses AreaDestination::setAreaDestinationExtension()
     * @param \StructType\Area $area
     * @param \StructType\ExtensionType $areaDestinationExtension
     */
    public function __construct(\StructType\Area $area = null, \StructType\ExtensionType $areaDestinationExtension = null)
    {
        $this
            ->setArea($area)
            ->setAreaDestinationExtension($areaDestinationExtension);
    }
    /**
     * Get area value
     * @return \StructType\Area|null
     */
    public function getArea()
    {
        return $this->area;
    }
    /**
     * Set area value
     * @param \StructType\Area $area
     * @return \StructType\AreaDestination
     */
    public function setArea(\StructType\Area $area = null)
    {
        $this->area = $area;
        return $this;
    }
    /**
     * Get areaDestinationExtension value
     * @return \StructType\ExtensionType|null
     */
    public function getAreaDestinationExtension()
    {
        return $this->areaDestinationExtension;
    }
    /**
     * Set areaDestinationExtension value
     * @param \StructType\ExtensionType $areaDestinationExtension
     * @return \StructType\AreaDestination
     */
    public function setAreaDestinationExtension(\StructType\ExtensionType $areaDestinationExtension = null)
    {
        $this->areaDestinationExtension = $areaDestinationExtension;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\AreaDestination
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
